<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button autoHide="false" color="primary"></ion-menu-button>
        </ion-buttons>

        <ion-title color="primary" class="ion-text-center">
            <ion-text color="medium">
                <small class="ion-font-sm">Localizacion</small>
            </ion-text>

            <h6 class="ion-m-0 ion-font-md">Ave 27 de Febrero</h6>
        </ion-title>

        <ion-buttons slot="end">
            <ion-button fill="clear" color="primary" routerLink="/app/busqueda">
                <ion-icon name="search-outline" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
    <div class="fade-animation">

        <!-- Category Label and Action Button -->
        <ion-row class="ion-justify-content-between ion-align-items-center">
            <ion-col size="auto">
                <ion-label color="dark">
                    <h2 class="ion-padding-start ion-font-bold">Categorias</h2>
                </ion-label>
            </ion-col>
            <ion-col size="auto" class="ion-ml-auto">
                <ion-button fill="clear" color="dark" routerLink="/app/categoria">
                    <ion-icon name="add" slot="icon-only"></ion-icon>
                </ion-button>
            </ion-col>
        </ion-row>

        <!-- Categories -->
        <ion-row>
            <ion-col size="12">
                <div class="non-scrollbar scroll-x ion-px-2">
                    <ng-container *ngFor="let c of service.data[0]?.categories;">
                        <app-categoria-item [title]="c.name" [icon]="c.thumbnail" (click)="service.onCategory(c)"></app-categoria-item>
                    </ng-container>
                </div>
            </ion-col>
        </ion-row>

        <!-- Store With Promos -->
        <ion-row>
            <ion-col>
                <ion-slides class="ion-slides-custom">
                    <ng-container *ngFor="let x of service.promo">
                        <ion-slide>
                            <card-doble [title]="x.name" [rating]="x.rating" [imgURL]="x.imgURL" [payment]="x?.creditCards?.length > 0"
                                [delivery]="x.delivery" (click)="service.onMenu(x)">
                            </card-doble>
                        </ion-slide>
                    </ng-container>
                </ion-slides>
            </ion-col>
        </ion-row>

        <!-- Store Count and Filter Button -->
        <ion-row class="ion-justify-content-between ion-align-items-center">
            <ion-col size="auto">
                <ion-label color="dark">
                    <h2 class="ion-padding-start ion-font-bold">{{ service.data.length }} Locales</h2>
                </ion-label>
            </ion-col>
            <ion-col size="auto" class="ion-ml-auto">
                <ion-button fill="clear" color="dark" routerLink="/app/filtro">
                    <ion-icon name="options-outline" slot="icon-only"></ion-icon>
                </ion-button>
            </ion-col>
        </ion-row>

        <!-- Stores -->
        <ion-list>
            <ng-container *ngFor="let r of service?.data[0]?.shops">
                <restaurante-item [name]="r.name" [thumbnail]="r.thumbnail" [rating]="r.rating" [minPrice]="r.minPrice" [acceptCards]="r?.creditCards?.length > 0"
                    [delivery]="r.delivery" [state]="r.state" [isNew]="r.isNew" (click)="service.onMenu(r)">
                </restaurante-item>
            </ng-container>
        </ion-list>

    </div>
</ion-content>